Retrieve the actual file size of a directory entry

- « zip_entry_compressionmethod

- zip_entry_name »

- PHP Manual
- Zip Functions
- Retrieve the actual file size of a directory entry

# zip_entry_filesize

(PHP 4 >= 4.1.0, PHP 5 >= 5.2.0, PHP 7, PHP 8, PECL zip >= 1.0.0)

zip_entry_filesize — Retrieve the actual file size of a directory entry

Warning

This function has been DEPRECATED as of PHP 8.0.0. Relying on this function is highly discouraged.

### Description

zip_entry_filesize(resource `$zip_entry`): int|false

Returns the actual size of the specified directory entry.

### Parameters

`zip_entry`

  A directory entry returned by zip_read().

### Return Values

The size of the directory entry, or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | This function is deprecated in favor of the Object API, see ZipArchive::statIndex().

### See Also

- zip_open() - Open a ZIP file archive
- zip_read() - Read next entry in a ZIP file archive